Package com.independentsoft.office.themes

# Class MajorFont

java.lang.Object
com.independentsoft.office.themes.MajorFont

public class MajorFont extends Object
The Class MajorFont.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MajorFont()`
  Instantiates a new major font.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MajorFont`
  `clone()`
  `ComplexScriptFont`
  `getComplexScriptFont()`
  Gets the complex script font.
  `EastAsianFont`
  `getEastAsianFont()`
  Gets the east asian font.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`a:extLst`).
  `LatinFont`
  `getLatinFont()`
  Gets the latin font.
  `List<SupplementalFont>`
  `getSupplementalFonts()`
  Gets the supplemental fonts.
  `void`
  `setComplexScriptFont​(ComplexScriptFont complexScriptFont)`
  Sets the complex script font.
  `void`
  `setEastAsianFont​(EastAsianFont eastAsianFont)`
  Sets the east asian font.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`a:extLst`).
  `void`
  `setLatinFont​(LatinFont latinFont)`
  Sets the latin font.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MajorFont

    public MajorFont()
    Instantiates a new major font.

- ## Method Details

  - ### clone

    public MajorFont clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getComplexScriptFont

    public ComplexScriptFont getComplexScriptFont()
    Gets the complex script font.
    Returns:
      the complex script font

  - ### setComplexScriptFont

    public void setComplexScriptFont​(ComplexScriptFont complexScriptFont)
    Sets the complex script font.
    Parameters:
      `complexScriptFont` - the new complex script font

  - ### getEastAsianFont

    public EastAsianFont getEastAsianFont()
    Gets the east asian font.
    Returns:
      the east asian font

  - ### setEastAsianFont

    public void setEastAsianFont​(EastAsianFont eastAsianFont)
    Sets the east asian font.
    Parameters:
      `eastAsianFont` - the new east asian font

  - ### getSupplementalFonts

    public List<SupplementalFont> getSupplementalFonts()
    Gets the supplemental fonts.
    Returns:
      the supplemental fonts

  - ### getLatinFont

    public LatinFont getLatinFont()
    Gets the latin font.
    Returns:
      the latin font

  - ### setLatinFont

    public void setLatinFont​(LatinFont latinFont)
    Sets the latin font.
    Parameters:
      `latinFont` - the new latin font